using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Suchkontrakt
{
    class Datensammlung
    {
        ObservableCollection<String> items = new ObservableCollection<String>();

        public ObservableCollection<String> Items
        {
            get { return items; }
        }

        public Datensammlung()
        {
            // Füllen der Datensammlung
            items.Add("Schokolade essen");
            items.Add("Ein gutes Buch lesen");
            items.Add("Freunde treffen");
            items.Add("Abends in den Sternenhimmel schauen");
            items.Add("Anderen helfen");
            items.Add("Einfach still sitzen");
            items.Add("Einen Whiskey geniessen");
            //items.Add("Einkaufsbummel machen");
            items.Add("Kochen");
            items.Add("Spieleabend veranstalten");
        }

        // Hilfsmethode zum Suchen in der Datensammlung
        public String Search(String searchStr)
        {
            if (searchStr == null || searchStr.Length == 0)
                return null;

            foreach (String s in items)
            {
                int n = s.IndexOf(searchStr, StringComparison.CurrentCultureIgnoreCase);
                if (s.IndexOf(searchStr, StringComparison.CurrentCultureIgnoreCase) != -1)
                {
                    return s;
                }
            }

            return null;
        }

    }
}
